nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=14)
-   -   Nnidia-1.0-8178 can`t install with kernel-2.6.20.1 (http://www.nvnews.net/vbulletin/showthread.php?t=86980)

whererun 02-23-07 07:50 PM

Nnidia-1.0-8178 can`t install with kernel-2.6.20.1
 
something is here:
Code:

nvidia-installer log file '/var/log/nvidia-installer.log'
creation time: Wed Feb 21 19:31:41 2007

option status:
  license pre-accepted    : false
  update                  : false
  force update            : false
  expert                  : false
  uninstall              : false
  driver info            : false
  no precompiled interface: false
  no ncurses color        : false
  query latest driver ver : false
  OpenGL header files    : true
  no questions            : false
  silent                  : false
  no backup              : false
  kernel module only      : false
  sanity                  : false
  add this kernel        : false
  no runlevel check      : false
  no network              : false
  no ABI note            : false
  no RPMs                : false
  force tls              : (not specified)
  force compat32 tls      : (not specified)
  X install prefix        : /usr/X11R6
  OpenGL install prefix  : /usr
  compat32 install prefix : (not specified)
  installer install prefix: /usr
  utility install prefix  : /usr
  kernel name            : (not specified)
  kernel include path    : (not specified)
  kernel source path      : (not specified)
  kernel output path      : (not specified)
  kernel install path    : (not specified)
  proc mount point        : /proc
  ui                      : (not specified)
  tmpdir                  : /tmp
  ftp mirror              : ftp://download.nvidia.com
  RPM file list          : (not specified)

Using: nvidia-installer ncurses user interface
-> License accepted.
-> No precompiled kernel interface was found to match your kernel; would you li
  ke the installer to attempt to download a kernel interface for your kernel f
  rom the NVIDIA ftp site (ftp://download.nvidia.com)? (Answer: No)
-> No precompiled kernel interface was found to match your kernel; this means
  that the installer will need to compile a new kernel interface.
-> Performing CC test with CC="cc".
ERROR: Unable to determine the version of the kernel sources located in
      '/lib/modules/2.6.20.1/source'.  Please make sure you have installed the
      kernel source files for your kernel and that they are properly
      configured; on Red Hat Linux systems, for example, be sure you have the
      'kernel-source' RPM installed.  If you know the correct kernel source
      files are installed, you may specify the kernel source path with the
      '--kernel-source-path' command line option.
ERROR: Installation has failed.  Please see the file
      '/var/log/nvidia-installer.log' for details.  You may find suggestions
      on fixing installation problems in the README available on the Linux
      driver download page at www.nvidia.com.


whererun 02-23-07 08:02 PM

Re: Nnidia-1.0-8178 can`t install with kernel-2.6.20.1
 
now ,i have to use kernel 2.6.15 with nvidia-1.0-8178,when install nvidia-1.0-9631,RR only=50HZ,i can`t change the RR to 60,my notebook is dell inspiron 8500 .
and with nVidia Corporation NV28 [GeForce4 Ti 4200 Go AGP 8x](but in fact ,only 4X AGP work,why?),LCD is WUXGA(1920*1200)
here is my xorg.conf
Code:

# nvidia-xconfig: X configuration file generated by nvidia-xconfig
# nvidia-xconfig:  version 1.0  (buildmeister@builder3)  Thu Nov  9 17:55:20 PST 2006

# Xorg configuration created by system-config-display

Section "ServerLayout"
    Identifier    "single head configuration"
    Screen      0  "CentOS:0.0" 0 0
    InputDevice    "Mouse0" "CorePointer"
    InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"

# RgbPath is the location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.
# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.
    #FontPath        "unix/:7100"
    RgbPath        "/usr/X11R6/lib/X11/rgb"
    FontPath        "/usr/local/office/fonts"
    FontPath        "/usr/X11R6/lib/X11/fonts/misc:unscaled"
    FontPath        "/usr/X11R6/lib/X11/fonts/75dpi:unscaled"
    FontPath        "/usr/X11R6/lib/X11/fonts/100dpi:unscaled"
    FontPath        "/usr/X11R6/lib/X11/fonts/Type1"
    FontPath        "/usr/share/fonts/default/Type1"
EndSection

Section "Module"
    Load          "dbe"
#    Load          "xtt"
    Load          "extmod"
    Load          "fbdevhw"
    Load          "glx"
    Load          "record"
#    Load          "freetype"
    Load          "type1"
EndSection

Section "InputDevice"

# Specify which keyboard LEDs can be user-controlled (eg, with xset(1))
#        Option        "Xleds"                "1 2 3"
# To disable the XKEYBOARD extension, uncomment XkbDisable.
#        Option        "XkbDisable"
# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#        Option        "XkbModel"        "pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#        Option        "XkbModel"        "microsoft"
#
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#        Option        "XkbLayout"        "de"
# or:
#        Option        "XkbLayout"        "de"
#        Option        "XkbVariant"        "nodeadkeys"
#
# If you'd like to switch the positions of your capslock and
# control keys, use:
#        Option        "XkbOptions"        "ctrl:swapcaps"
# Or if you just want both to be control, use:
#        Option        "XkbOptions"        "ctrl:nocaps"
#
    Identifier    "Keyboard0"
    Driver        "kbd"
    Option        "XkbModel" "pc105"
    Option        "XkbLayout" "us"
EndSection

Section "InputDevice"
    Identifier    "Mouse0"
    Driver        "mouse"
    Option        "SampleRate" "800"
    Option        "CorePointer"
    Option        "Name" "Logitech MX310"
    Option        "Protocol" "ExplorerPS/2"
    Option        "Buttons" "8"
    Option        "Device" "/dev/input/mice"
    Option        "ZAxisMapping" "4 5"
    Option        "ButtonMapping" "1 2 3 6 7 8 4 5"
    Option        "Emulate3Buttons" "yes"
    Option        "Resolution" "800"
EndSection

Section "Modes"

        # 1280x800 @ 60.00 Hz (GTF) hsync: 49.68 kHz; pclk: 83.46 MHz
    Identifier        "16:10"
    ModeLine    "1280x800" 83.5 1280 1344 1480 1680 800 801 804 828
        # 1280x800 @ 75.00 Hz (GTF) hsync: 62.62 kHz; pclk: 107.21 MHz
    ModeLine    "1280x800" 107.2 1280 1360 1496 1712 800 801 804 835
        # 1280x800 @ 85.00 Hz (GTF) hsync: 71.40 kHz; pclk: 123.38 MHz
    ModeLine    "1280x800" 123.4 1280 1368 1504 1728 800 801 804 840
        # 1280x800 @ 100.00 Hz (GTF) hsync: 84.80 kHz; pclk: 147.89 MHz
    ModeLine    "1280x800" 147.9 1280 1376 1512 1744 800 801 804 848
        # 1680x1050 @ 60.00 Hz (GTF) hsync: 65.22 kHz; pclk: 147.14 MHz
    ModeLine    "1680x1050" 147.1 1680 1784 1968 2256 1050 1051 1054 1087
        # 1680x1050 @ 75.00 Hz (GTF) hsync: 82.20 kHz; pclk: 188.07 MHz
    ModeLine    "1680x1050" 188.1 1680 1800 1984 2288 1050 1051 1054 1096
        # 1680x1050 @ 85.00 Hz (GTF) hsync: 93.76 kHz; pclk: 214.51 MHz
    ModeLine    "1680x1050" 214.5 1680 1800 1984 2288 1050 1051 1054 1103
        # 1680x1050 @ 100.00 Hz (GTF) hsync: 111.20 kHz; pclk: 256.20 MHz
    ModeLine    "1680x1050" 256.2 1680 1808 1992 2304 1050 1051 1054 1112
        # 1920x1200 @ 60.00 Hz (GTF) hsync: 74.52 kHz; pclk: 193.16 MHz
    ModeLine    "1920x1200" 162 1920 2020 2052 2184 1200 1202 1208 1235
        # 1920x1200 @ 75.00 Hz (GTF) hsync: 93.97 kHz; pclk: 246.59 MHz
    ModeLine    "1920x1200" 246.6 1920 2064 2272 2624 1200 1201 1204 1253
        # 1920x1200 @ 85.00 Hz (GTF) hsync: 107.10 kHz; pclk: 282.74 MHz
    ModeLine    "1920x1200" 282.7 1920 2072 2280 2640 1200 1201 1204 1260
        # 1920x1200 @ 100.00 Hz (GTF) hsync: 127.10 kHz; pclk: 337.58 MHz
    ModeLine    "1920x1200" 337.6 1920 2072 2288 2656 1200 1201 1204 1271
EndSection

Section "Monitor"

#    UseModes      "16:10"
    Identifier    "Sharp(DFP-0)"
    VendorName    "Dell"
    ModelName      "Sharp(DFP-0)"
    HorizSync      31.5 - 90.0
    VertRefresh    50.0 - 70.0
    ModeLine      "1920x1200" 162 1920 2020 2052 2184 1200 1202 1208 1235 +hsync +vsync
    Option        "dpms"
EndSection

Section "Device"
    Identifier    "NVIDIA GeForce4 Ti 4200 Go AGP 8x"
    Driver        "nvidia"
    VendorName    "Videocard vendor"
    BoardName      "NVIDIA GeForce 4 (generic)"
EndSection

Section "Screen"
    Identifier    "CentOS:0.0"
    Device        "NVIDIA GeForce4 Ti 4200 Go AGP 8x"
    Monitor        "Sharp(DFP-0)"
    DefaultDepth    24
    Option        "NoLogo"
    Option        "RenderAccel" "1"
#    Option        "UseEdidFreqs" "0"
#    Option        "IgnoreEDID" "0"
#    Option        "UseEDID" "FALSE"
#    Option        "UseEdidDpi" "DFP-0"
    Option        "NoRenderExtension" "False"
    Option        "TextureSharpen" "1"
    Option        "CursorShadow" "1"
    SubSection    "Display"
        Viewport    0 0
        Depth      24
        Modes      "1920x1200" "1680x1050" "1400x1050" "1280x1024" "1280x960" "1280x800" "1152x864" "1024x768" "800x600"
    EndSubSection
EndSection

when I try Option "UseEDID" "FALSE" in my xorg.conf to chnage RR, can`t star X,just blank white display show me.

Q1.if I want use nvidia-1.0-8178 with kernel-2.6.20.1,how do?(I have try with:--kernel-source-path to install ,no working!)
Q2.if I want use nvidia-1.0-9631 with kernel-2.6.20.1,how change RR to 60HZ?

Thank very much :headexplode: :headexplode: :headexplode:

netllama 02-23-07 08:16 PM

Re: Nnidia-1.0-8178 can`t install with kernel-2.6.20.1
 
1.0-8178 is no longer supported and isn't expected to install with recent kernels. You should be using 1.0-9631, and if you're experiencing problems, please provide a bug report.

Thanks,
Lonni

whererun 02-23-07 09:54 PM

Re: Nnidia-1.0-8178 can`t install with kernel-2.6.20.1
 
Quote:

Originally Posted by netllama
1.0-8178 is no longer supported and isn't expected to install with recent kernels. You should be using 1.0-9631, and if you're experiencing problems, please provide a bug report.

Thanks,
Lonni

Are there a patch files with 8178 fot kernel 2.6.20? thanks !:headexplode:

netllama 02-23-07 10:02 PM

Re: Nnidia-1.0-8178 can`t install with kernel-2.6.20.1
 
1.0-8178 is no longer supported.

whererun 02-23-07 10:11 PM

Re: Nnidia-1.0-8178 can`t install with kernel-2.6.20.1
 
Quote:

Originally Posted by netllama
1.0-8178 is no longer supported.

I use here thd patch to 7184 on kernel-2.6.20.1 ,work fine,so I want find a patch for 8178 on kernel2.6.20.1,thanks .

http://www.nvnews.net/vbulletin/showthread.php?t=86689


All times are GMT -5. The time now is 07:41 AM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.